require 'thor'
require 'fwtoolkit/config'
require 'fwtoolkit/version'

require 'fwtoolkit/cli/ext/thor'
require 'fwtoolkit/cli/fw_actions'

require 'fwtoolkit/cli/xcode'
require 'fwtoolkit/cli/project'
require 'fwtoolkit/cli/git'
require 'fwtoolkit/cli/bitrise'

module FWToolkit
  class CLI < Thor
  	include Thor::Actions
    include FWToolkit::ThorUtils

    map "-v" => :version

	desc "version", "Display gem version"
	def version
		puts "FWToolkit version #{FWToolkit::VERSION}"
	end

    register FWToolkit::Bitrise, 'bitrise', 'bitrise SUBCOMMAND ...ARG', 'Create bitrise configuration files'
    register FWToolkit::Project, 'proj', 'proj SUBCOMMAND ...ARG', 'Create projects and manage settings'
    register FWToolkit::Xcode, 'xcode', 'xcode SUBCOMMAND ...ARG', 'Create Xcode projects'
    register FWToolkit::Git, 'git', 'git SUBCOMMAND ...ARG', 'Git operations'
  end
end

#
