require 'fwtoolkit/rake/tasks/ci'
require 'fwtoolkit/rake/tasks/ota'
require 'fwtoolkit/rake/tasks/project'
require 'fwtoolkit/rake/tasks/test'
require 'fwtoolkit/rake/tasks/xcode'

module FWToolkit
  module Rake
    def self.new_all(&block)
      # Create a new rake task for each of the included/defined class that have 'Task' in their name and 
      # belongs to FWToolkit::Rake module
      task_classes = self.constants.select do |c|
        constant = self.const_get(c)
        (Class === constant) && constant.name.include?('Task')
      end
     task_classes.each { |k| self.const_get(k).new(&block) } 
    end
    
  end
end
